Subject: Re: bug#46829: Fresh install of 1.2.0 can't guix pull

From: Christopher Baines <[email-masked]>
Date: Sat, 10 Apr 2021 22:21:35 +0100

Leo Famulari <[email-masked]> writes:

> On Sat, Apr 10, 2021 at 04:30:42PM -0400, Leo Famulari wrote:
>> Okay, I'm testing this now, in a VM.
>> 
>> I wonder if it's the same thing as
>> <https://lists.gnu.org/archive/html/help-guix/2021-04/msg00075.html>?
>
> I followed the instructions in the manual section Installing Guix in a
> VM.
>
> Then, I booted the new system, opened a terminal emulator in the XFCE
> desktop environment, and ran `guix pull`. It succeeded.

Maybe it just doesn't work for the root user... I encountered this when
running guix pull as the root user on a headless machine.